summaryrefslogtreecommitdiffstats
path: root/tools/fuzz-test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-08-05 09:15:52 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-08-05 09:15:52 +0000
commit864dec30a3971aa043dd47f99168c889a5107102 (patch)
treedd322ea42bd05d24614f2f22afc75bc49cbb0b34 /tools/fuzz-test.sh
parentAdding upstream version 4.2.5. (diff)
downloadwireshark-864dec30a3971aa043dd47f99168c889a5107102.tar.xz
wireshark-864dec30a3971aa043dd47f99168c889a5107102.zip
Adding upstream version 4.2.6.upstream/4.2.6
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtools/fuzz-test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/fuzz-test.sh b/tools/fuzz-test.sh
index b63f647b..7e8d1abc 100755
--- a/tools/fuzz-test.sh
+++ b/tools/fuzz-test.sh
@@ -304,7 +304,7 @@ while { [ $PASS -lt "$MAX_PASSES" ] || [ "$MAX_PASSES" -lt 1 ]; } && ! $DONE ; d
fi
fi
- if ! $DONE && { [ $RUNNER_RETVAL -ne 0 ] || [ $DISSECTOR_BUG -ne 0 ] || [ $VG_ERR_CNT -ne 0 ]; } ; then
+ if ! $DONE && { [ $RUNNER_RETVAL -ne 0 ] || [ $DISSECTOR_BUG -ne 0 ] || [ "$VG_ERR_CNT" -ne 0 ]; } ; then
# shellcheck disable=SC2086
rm -f $RUNNER_ERR_FILES
ws_exit_error